import React from "react"
import PropTypes from "prop-types"

export const FormInput = ({ label, value, updateValue }) => {
  return (
    <div className="form-group">
      <label className="control-label">
        {label}
      </label>
      <input
        className="form-control"
        value={value}
        onChange={(e) => updateValue(e.target.value)}
      />
    </div>
  )
}
FormInput.propTypes = {
  label: PropTypes.string,
  value: PropTypes.string,
  updateValue: PropTypes.func,
};
