import React from "react"
import PropTypes from "prop-types"
import { List } from "immutable"
import { connect } from "react-redux"

import { searchMovieSubtitles } from "../../actions/subtitles"

import { SubtitlesButton } from "../buttons/subtitles"

const movieSubtitlesButton = ({
  inLibrary,
  imdbId,
  searching,
  searchMovieSubtitles,
  subtitles,
}) => (
  <SubtitlesButton
    inLibrary={inLibrary}
    searching={searching}
    subtitles={subtitles}
    search={() => searchMovieSubtitles(imdbId)}
  />
)

movieSubtitlesButton.propTypes = {
  searching: PropTypes.bool,
  inLibrary: PropTypes.bool,
  imdbId: PropTypes.string,
  searchMovieSubtitles: PropTypes.func,
  subtitles: PropTypes.instanceOf(List),
}

export const MovieSubtitlesButton = connect(null, {searchMovieSubtitles})(movieSubtitlesButton);
